using fatd_faturamento.BLL.RegraNegocio;
using fatd_faturamento.ENTIDADE;
using System;
using System.Collections.Generic;
using System.Data;


namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioTempFaturaAPIB
    {
        public IList<entidadeTempFaturaAPIB> ConvertDataTableToEntity(DataTable dt)
        {

            var lstTempFaturaAPIB = new List<entidadeTempFaturaAPIB>();

            regraNegocioGlobal regranegocioGlobal = null;

            try
            {

                regranegocioGlobal = new regraNegocioGlobal();

                lstTempFaturaAPIB = regraNegocioGlobal.ConvertDataTable<entidadeTempFaturaAPIB>(dt);

                return lstTempFaturaAPIB;
            }
            catch (Exception)
            {
                throw;
            }
        }
    }
}
